bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#34094: 27.0.50; (wrong-type-argument stringp (require . elec-pair))


From: Robert Pluim
Subject: bug#34094: 27.0.50; (wrong-type-argument stringp (require . elec-pair)) with describe-function (and other commands)
Date: Wed, 16 Jan 2019 12:14:09 +0100

Tassilo Horn <address@hidden> writes:

> Tassilo Horn <address@hidden> writes:
>
>> With the current master:
>>
>> emacs -Q
>>
>> M-x toggle-debug-on-error
>> C-h f package-reinstall
>>
>> You get this backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp (require . 
>> elec-pair))
>
> I found the problem: the new portable dumper needs emacs.pdmp in
> `data-directory'.  Unfortunately, when you run without "make install",
> data-directory is set to emacs/etc/ whereas the emacs.pdmp resides in
> emacs/src/.
>

Thatʼs surprising: I haven't done 'make install', but I can't
reproduce your error.

Robert





reply via email to

[Prev in Thread] Current Thread [Next in Thread]